/*
 * Copyright (c) 2020, Matthew Olsson <mattco@serenityos.org>
 *
 * SPDX-License-Identifier: BSD-2-Clause
 */

#pragma once

#include <LibGfx/ImageDecoder.h>

namespace Gfx {

struct BMPLoadingContext;

class BMPImageDecoderPlugin final : public ImageDecoderPlugin {
public:
    virtual ~BMPImageDecoderPlugin() override;
    BMPImageDecoderPlugin(u8 const*, size_t, bool is_included_in_ico = false);

    virtual IntSize size() override;
    virtual void set_volatile() override;
    [[nodiscard]] virtual bool set_nonvolatile(bool& was_purged) override;
    virtual bool sniff() override;
    bool sniff_dib();
    virtual bool is_animated() override;
    virtual size_t loop_count() override;
    virtual size_t frame_count() override;
    virtual ErrorOr<ImageFrameDescriptor> frame(size_t index) override;

private:
    OwnPtr<BMPLoadingContext> m_context;
};

}
