/*
 * Copyright (c) 2022, Luke Wilde <lukew@serenityos.org>
 *
 * SPDX-License-Identifier: BSD-2-Clause
 */

#include <LibWeb/Bindings/Intrinsics.h>
#include <LibWeb/DOM/CDATASection.h>

namespace Web::DOM {

CDATASection::CDATASection(Document& document, DeprecatedString const& data)
    : Text(document, NodeType::CDATA_SECTION_NODE, data)
{
    set_prototype(&Bindings::cached_web_prototype(realm(), "CDATASection"));
}

CDATASection::~CDATASection() = default;

}
